<?php

// START featured SECTION 
    $wp_customize->add_section(
        'faq_section',
        array(
            'title' => __( 'Faq Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'faq_section_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'faq_section_disable',
            array(
                'settings'      => 'faq_section_disable',
                'section'       => 'faq_section',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'faq', 'faq_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

//Section Padding  
lzCustomLable($wp_customize, 'faq_section'.'faqsec_padding', 'faq_section', 'Section Padding Setting:');

$wp_customize->add_setting(
    'faqsec_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faqsec_toppadding',
    array(
        'settings'      => 'faqsec_toppadding',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'faqsec_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faqsec_bottompadding',
    array(
        'settings'      => 'faqsec_bottompadding',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'faqsec_leftpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faqsec_leftpadding',
    array(
        'settings'      => 'faqsec_leftpadding',
       'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'faqsec_rightpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faqsec_rightpadding',
    array(
        'settings'      => 'faqsec_rightpadding',
       'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);

// Adding the Label
lzCustomLable($wp_customize, 'faq_section'.'_title_subtitle_heading', 'faq_section', 'Section Title');

//add text title
lzAddElement($wp_customize, 'faq_section'.'_title', 'faq_section', 'text', $label="Section Title", 'luzuk_sanitize_text', 'Frequently Asked Questions');

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_faq_HeadingColor', 'faq_section', 'Section Title color', '#343434');

// Adding the Label
//lzCustomLable($wp_customize, 'faq_section'.'_sce_left_imgfaq', 'faq_section', 'Section Left Image');
//left img
    $wp_customize->add_setting(
        'lz_fitness_faq_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'lz_fitness_faq_image_heading',
            array(
                'settings'      => 'lz_fitness_faq_image_heading',
                'section'       => 'faq_section',
                'label'         => __( 'Faq Section left Image', 'luzuk Themes Premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_faq_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_faq_image',
            array(
                'section'       => 'faq_section',
                'settings' => 'lz_fitness_faq_image',
                'description' => __('Recommended Image Size: 500X600px', 'luzuk Themes Premium')
            )
        )
    );


// Adding the Label
lzCustomLable($wp_customize, 'faq_section'.'_sce_left_imgfaqcolr', 'faq_section', 'Section Image Background Box Gradiant Colors:');


lzCustomLable($wp_customize, 'testimonigradient_bgback1display', 'lz_fitness_testimonials_section', 'Section Gradient Overlay Background Color Display Setting:');

lzCustomLable($wp_customize, 'faq_section'.'_sce_left_imgfaqcolr', 'faq_section', 'Image Gradient Box Display Setting:');

// to show & hide another button
$wp_customize->add_setting( 'gradientbox_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'gradientbox_button_display', array( 'label' => 'Image Gradient Box Display', 'section'    => 'faq_section', 'settings' => 'gradientbox_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image Gradient Box ', 'hide' => 'Hide Image Gradient Box', ), ) ); 
// end to show & hide button



// for gradiant
$wp_customize->add_setting(
    'faqimgbg_color_one', array(
        'default'           => '#1a67d3',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'faqimgbg_color_one',array(
            'settings'      => 'faqimgbg_color_one',
            'section'       => 'faq_section',
            'label'         => __( 'Image Box Gradient Background Color One ', 'Luzuk Premium' ),
        )
    )
);
$wp_customize->add_setting(
    'faqimgbg_color_two', array(
        'default'           => '#8a36dc',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'faqimgbg_color_two',array(
            'settings'      => 'faqimgbg_color_two',
            'section'       => 'faq_section',
            'label'         => __( 'Image Box Gradient Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

// Faqs color
    addColorPalatOption($wp_customize, 'faq_tabtitleColor', 'faq_section', 'Faq Tab Title color', '#313131');

    // Faqs color
    addColorPalatOption($wp_customize, 'faq_tabtitlebgColor', 'faq_section', 'Faq Tab Title Background color', '#fff');

// Faqs color
    addColorPalatOption($wp_customize, 'faq_tabtextColor', 'faq_section', 'Faq Tab Text color', '#535353');

 // Faqs color
    addColorPalatOption($wp_customize, 'faq_tabtextbackbgColor', 'faq_section', 'Faq Tab Text Background color', '#fff');

        // Faqs color
    addColorPalatOption($wp_customize, 'faq_tabiconColor', 'faq_section', 'Faq Tab Icon color', '#fff');
            // Faqs color
    addColorPalatOption($wp_customize, 'faq_tabiconbgColor', 'faq_section', 'Faq Tab Icon Background color', '#4d4d4d');

                // Faqs color
    addColorPalatOption($wp_customize, 'faq_tabiconactiveColor', 'faq_section', 'Faq Tab Active Icon color', '#fff');

                // Faqs color
    addColorPalatOption($wp_customize, 'faq_tabiconactivebgColor', 'faq_section', 'Faq Tab Active Icon Background color', '#1967d3');

     addColorPalatOption($wp_customize, 'faq_tabiconactivebrdColor', 'faq_section', 'Section Border Color', '#e0e0e0');


if(!is_array($luzukfaqSingleChoice)){
    $wp_customize->add_setting('faq_section'.'_faq_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'faq_section'.'_faq_section_lbl',
            array(
                'settings'      => 'faq_section'.'_faq_section_lbl',
                'section'       => 'faq_section',
                'label'         => __( 'Note:', 'luzuk' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the FAQs.</strong> <br/>Please add the FAQs from "FAQs menu" and then select FAQs to show information.', 'luzuk' ),
            )
        )
    );
}

$wp_customize->add_setting('faq_section'.'_premium_faq_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'faq_section'.'_premium_faq_section_lbl',
        array(
            'settings'      => 'faq_section'.'_premium_faq_section_lbl',
            'section'       => 'faq_section',
            'label'         => __( 'Note:', 'luzuk' ), 
            'description'   => __( 'Just place the shortcode "[FAQS]" in your page to list the FAQs in a page ', 'luzuk' ),
        )
    )
);


